Subject: Re: [Feature Request] git blame showing only revisions from git rev-list --first-parent

From: Junio C Hamano <[email-masked]>
Date: Sun, 18 Oct 2015 10:41:17 -0700

Max Kirillov <[email-masked]> writes:

> I might be late for this discussion, but I seem to have
> a case when blame --reverse --first-parent seems to work.

I think during the discussion we already established that there are
cases where the mode happens to do the right thing (the most trivial
is a completely linear history).

I do not strongly object to enabling the mode when it is safe to
enable (i.e. it can be proven to work and produce a sensible and
meaningful result); patches welcome to enable it when it can be
shown that it is safe; "to disable it only when it can be shown that
it is meaningless" is a different way to state the same thing.